# eric3.Wizards.ColorDialogWizard.ColorDialogWizard

Module implementing the color dialog wizard.

### Classes

ColorDialogWizard | Class implementing the color dialog wizard.

### Functions

None

## ColorDialogWizard

Class implementing the color dialog wizard.

### Derived from

WizardIFace

### Methods

ColorDialogWizard | Constructor
callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

### ColorDialogWizard (Constructor)

ColorDialogWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

### ColorDialogWizard.callForm

callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

### ColorDialogWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

### ColorDialogWizard.handle

handle()

Worker method associated with the wizard action

### ColorDialogWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up